
#if F2C != 0 && F2C != 1
#error "The F2C compiler directive must be set to either 0 or 1 ..."
#endif

#ifndef integer
#define integer long int
#endif

#ifndef real
#define real float
#endif

#ifdef PGPLOT_C_WRAPPER

#include "cpgplot.h" /* PGPLOT C wrapper function prototypes */

#else

#include "cfortran.h" /* C-to-FORTRAN linking macros */

PROTOCCALLSFSUB4( pgarro, pgarro, FLOAT, FLOAT, FLOAT, FLOAT )
#define PGARRO( rXTail, rYTail, rXHead, rYHead ) CCALLSFSUB4( \
    pgarro, pgarro, FLOAT, FLOAT, FLOAT, FLOAT, rXTail, rYTail, rXHead, rYHead )

PROTOCCALLSFSUB1( pgask, pgask, LOGICAL )
#define PGASK( liFlag ) CCALLSFSUB1( pgask, pgask, LOGICAL, liFlag )

PROTOCCALLSFFUN7( LONG, pgband, pgband, LONG, LONG, FLOAT, FLOAT, PFLOAT, \
    PFLOAT, PSTRING )
#define PGBAND( liMode, liPosn, rXRef, rYRef, prX, prY, psChar ) CCALLSFFUN7( \
    pgband, pgband, LONG, LONG, FLOAT, FLOAT, PFLOAT, PFLOAT, PSTRING, liMode, \
    liPosn, rXRef, rYRef, prX, prY, psChar )

PROTOCCALLSFSUB0( pgbbuf, pgbbuf )
#define PGBBUF( ) CCALLSFSUB0( pgbbuf, pgbbuf )

PROTOCCALLSFFUN4( LONG, pgbeg, pgbeg, LONG, STRING, LONG, LONG )
#define PGBEG( liUnit, sDev, liNumPlotX, liNumPlotY ) CCALLSFFUN4( \
    pgbeg, pgbeg, LONG, STRING, LONG, LONG, liUnit, sDev, liNumPlotX, \
    liNumPlotY )

PROTOCCALLSFSUB4( pgbin, pgbin, LONG, FLOATV, FLOATV, LOGICAL )
#define PGBIN( liNumBin, arBin, arData, liCenter ) CCALLSFSUB4( \
    pgbin, pgbin, LONG, FLOATV, FLOATV, LOGICAL, liNumBin, arBin, arData, \
    liCenter )

PROTOCCALLSFSUB6( pgbox, pgbox, STRING, FLOAT, LONG, STRING, FLOAT, LONG )
#define PGBOX( sXOpt, rXTick, liNXSub, sYOpt, rYTick, liNYSub ) CCALLSFSUB6( \
    pgbox, pgbox, STRING, FLOAT, LONG, STRING, FLOAT, LONG, sXOpt, rXTick, \
    liNXSub, sYOpt, rYTick, liNYSub )

PROTOCCALLSFSUB3( pgcirc, pgcirc, FLOAT, FLOAT, FLOAT )
#define PGCIRC( rXCent, rYCent, rRadius ) \
    CCALLSFSUB3( pgcirc, pgcirc, FLOAT, FLOAT, FLOAT, rXCent, rYCent, rRadius )

PROTOCCALLSFSUB0( pgclos, pgclos )
#define PGCLOS( ) CCALLSFSUB0( pgclos, pgclos )

PROTOCCALLSFFUN3( LONG, pgcurs, pgcurs, PFLOAT, PFLOAT, PSTRING )
#define PGCURS( prX, prY, psChar ) \
    CCALLSFFUN3( pgcurs, pgcurs, PFLOAT, PFLOAT, PSTRING, prX, prY, psChar )

PROTOCCALLSFSUB2( pgdraw, pgdraw, FLOAT, FLOAT )
#define PGDRAW( rX, rY ) CCALLSFSUB2( pgdraw, pgdraw, FLOAT, FLOAT, rX, rY )

PROTOCCALLSFSUB0( pgebuf, pgebuf )
#define PGEBUF( ) CCALLSFSUB0( pgebuf, pgebuf )

PROTOCCALLSFSUB0( pgend, pgend )
#define PGEND( ) CCALLSFSUB0( pgend, pgend )

PROTOCCALLSFSUB6( pgenv, pgenv, FLOAT, FLOAT, FLOAT, FLOAT, LONG, LONG )
#define PGENV( rXAxisLow, rXAxisHigh, rYAxisLow, rYAxisHigh, liScale, liBox ) \
    CCALLSFSUB6( pgenv, pgenv, FLOAT, FLOAT, FLOAT, FLOAT, LONG, LONG, \
    rXAxisLow, rXAxisHigh, rYAxisLow, rYAxisHigh, liScale, liBox )

PROTOCCALLSFSUB0( pgeras, pgeras )
#define PGERAS( ) CCALLSFSUB0( pgeras, pgeras )

PROTOCCALLSFSUB6( pgerrb, pgerrb, LONG, LONG, FLOATV, FLOATV, FLOATV, FLOAT )
#define PGERRB( liDir, liNumData, arErr, arX, arY, rSerif ) CCALLSFSUB6( \
    pgerrb, pgerrb, LONG, LONG, FLOATV, FLOATV, FLOATV, FLOAT, liDir, \
    liNumData, arErr, arX, arY, rSerif )

PROTOCCALLSFSUB5( pgerrx, pgerrx, LONG, FLOATV, FLOATV, FLOATV, FLOAT )
#define PGERRX( liNumData, arXLow, arXHigh, arY, rSerif ) CCALLSFSUB5( \
    pgerrx, pgerrx, LONG, FLOATV, FLOATV, FLOATV, FLOAT, liNumData, arXLow, \
    arXHigh, arY, rSerif )

PROTOCCALLSFSUB5( pgerry, pgerry, LONG, FLOATV, FLOATV, FLOATV, FLOAT )
#define PGERRY( liNumData, arX, arYLow, arYHigh, rSerif ) CCALLSFSUB5( \
    pgerry, pgerry, LONG, FLOATV, FLOATV, FLOATV, FLOAT, liNumData, arX, \
    arYLow, arYHigh, rSerif )

PROTOCCALLSFSUB0( pgetxt, pgetxt )
#define PGETXT( ) CCALLSFSUB0( pgetxt, pgetxt )

PROTOCCALLSFSUB6( pghist, pghist, LONG, FLOATV, FLOAT, FLOAT, LONG, LONG )
#define PGHIST( liNumData, arData, rMin, rMax, liNumBin, liFlag ) CCALLSFSUB6( \
    pghist, pghist, LONG, FLOATV, FLOAT, FLOAT, LONG, LONG, liNumData, arData, \
    rMin, rMax, liNumBin, liFlag )

PROTOCCALLSFSUB0( pgiden, pgiden )
#define PGIDEN( ) CCALLSFSUB0( pgiden, pgiden )

PROTOCCALLSFSUB3( pglab, pglab, STRING, STRING, STRING )
#define PGLAB( sXLabel, sYLabel, sTitle ) CCALLSFSUB3( \
    pglab, pglab, STRING, STRING, STRING, sXLabel, sYLabel, sTitle )

PROTOCCALLSFSUB4( pglcur, pglcur, LONG, PLONG, FLOATV, FLOATV )
#define PGLCUR( liMaxPt, pliNPt, arX, arY ) CCALLSFSUB4( \
    pglcur, pglcur, LONG, PLONG, FLOATV, FLOATV, liMaxPt, pliNPt, arX, arY )

PROTOCCALLSFSUB0( pgldev, pgldev )
#define PGLDEV( ) CCALLSFSUB0( pgldev, pgldev )

PROTOCCALLSFSUB4( pglen, pglen, LONG, STRING, PFLOAT, PFLOAT )
#define PGLEN( liUnit, sString, prXL, prYL ) CCALLSFSUB4( \
    pglen, pglen, LONG, STRING, PFLOAT, PFLOAT, liUnit, sString, prXL, prYL )

PROTOCCALLSFSUB3( pgline, pgline, LONG, FLOATV, FLOATV )
#define PGLINE( liNumData, arX, arY ) CCALLSFSUB3( \
    pgline, pgline, LONG, FLOATV, FLOATV, liNumData, arX, arY )

PROTOCCALLSFSUB2( pgmove, pgmove, FLOAT, FLOAT )
#define PGMOVE( rX, rY ) CCALLSFSUB2( pgmove, pgmove, FLOAT, FLOAT, rX, rY )

PROTOCCALLSFSUB5( pgmtxt, pgmtxt, STRING, FLOAT, FLOAT, FLOAT, STRING )
#define PGMTXT( sSide, rDisp, rLeftCoord, rJust, sText ) CCALLSFSUB5( \
    pgmtxt, pgmtxt, STRING, FLOAT, FLOAT, FLOAT, STRING, sSide, rDisp, \
    rLeftCoord, rJust, sText )

PROTOCCALLSFSUB5( pgncur, pgncur, LONG, PLONG, FLOATV, FLOATV, LONG )
#define PGNCUR( liMaxPt, pliNPt, arX, arY, liSymbol ) CCALLSFSUB5( \
    pgncur, pgncur, LONG, PLONG, FLOATV, FLOATV, LONG, liMaxPt, pliNPt, arX, \
    arY, liSymbol )

PROTOCCALLSFSUB5( pgnumb, pgnumb, LONG, LONG, LONG, PSTRING, PLONG )
#define PGNUMB( liMM, liPP, liForm, psString, pliNC ) CCALLSFSUB5( \
    pgnumb, pgnumb, LONG, LONG, LONG, PSTRING, PLONG, liMM, liPP, liForm, \
    psString, pliNC )

PROTOCCALLSFSUB5( pgolin, pgolin, LONG, PLONG, FLOATV, FLOATV, LONG )
#define PGOLIN( liMaxPt, pliNPt, arX, arY, liSymbol ) CCALLSFSUB5( \
    pgolin, pgolin, LONG, PLONG, FLOATV, FLOATV, LONG, liMaxPt, pliNPt, arX, \
    arY, liSymbol )

PROTOCCALLSFFUN1( LONG, pgopen, pgopen, PSTRING )
#define PGOPEN( psDevice ) CCALLSFFUN1( pgopen, pgopen, PSTRING, psDevice )

PROTOCCALLSFSUB0( pgpage, pgpage )
#define PGPAGE( ) CCALLSFSUB0( pgpage, pgpage )

PROTOCCALLSFSUB2( pgpanl, pgpanl, LONG, LONG )
#define PGPANL( liNXSub, liNYSub ) CCALLSFSUB2( \
    pgpanl, pgpanl, LONG, LONG, liNXSub, liNYSub )

PROTOCCALLSFSUB2( pgpap, pgpap, FLOAT, FLOAT )
#define PGPAP( rWidth, rAspect ) CCALLSFSUB2( \
    pgpap, pgpap, FLOAT, FLOAT, rWidth, rAspect )

PROTOCCALLSFSUB5( pgpnts, pgpnts, LONG, FLOATV, FLOATV, LONGV, LONG )
#define PGPNTS( liNumData, arX, arY, aliSymbol, liNumSymbol ) CCALLSFSUB5( \
    pgpnts, pgpnts, LONG, FLOATV, FLOATV, LONGV, LONG, liNumData, arX, arY, \
    aliSymbol, liNumSymbol )

PROTOCCALLSFSUB3( pgpoly, pgpoly, LONG, FLOATV, FLOATV )
#define PGPOLY( liNumData, arX, arY ) CCALLSFSUB3( \
    pgpoly, pgpoly, LONG, FLOATV, FLOATV, liNumData, arX, arY )

PROTOCCALLSFSUB4( pgpt, pgpt, LONG, FLOATV, FLOATV, LONG )
#define PGPT( liNumData, arX, arY, liSymbol ) CCALLSFSUB4( \
    pgpt, pgpt, LONG, FLOATV, FLOATV, LONG, liNumData, arX, arY, liSymbol )

PROTOCCALLSFSUB5( pgptxt, pgptxt, FLOAT, FLOAT, FLOAT, FLOAT, STRING )
#define PGPTXT( rX, rY, rAngle, rJust, sText ) CCALLSFSUB5( \
    pgptxt, pgptxt, FLOAT, FLOAT, FLOAT, FLOAT, STRING, rX, rY, rAngle, rJust, \
    sText )

PROTOCCALLSFSUB3( pgqah, pgqah, PLONG, PFLOAT, PFLOAT )
#define PGQAH( pliFS, prAngle, prVent ) CCALLSFSUB3( \
    pgqah, pgqah, PLONG, PFLOAT, PFLOAT, pliFS, prAngle, prVent )

PROTOCCALLSFSUB1( pgqcf, pgqcf, PLONG )
#define PGQCF( pliFont ) CCALLSFSUB1( pgqcf, pgqcf, PLONG, pliFont )

PROTOCCALLSFSUB1( pgqch, pgqch, PFLOAT )
#define PGQCH( prHeight ) CCALLSFSUB1( pgqch, pgqch, PFLOAT, prHeight )

PROTOCCALLSFSUB1( pgqci, pgqci, PLONG )
#define PGQCI( pliCI ) CCALLSFSUB1( pgqci, pgqci, PLONG, pliCI )

PROTOCCALLSFSUB2( pgqcir, pgqcir, PLONG, PLONG )
#define PGQCIR( pliCILow, pliCIHigh ) CCALLSFSUB2( \
    pgqcir, pgqcir, PLONG, PLONG, pliCILow, pliCIHigh )

PROTOCCALLSFSUB2( pgqcol, pgqcol, PLONG, PLONG )
#define PGQCOL( pliCILow, pliCIHigh ) CCALLSFSUB2( \
    pgqcol, pgqcol, PLONG, PLONG, pliCILow, pliCIHigh )

PROTOCCALLSFSUB4( pgqcr, pgqcr, LONG, PFLOAT, PFLOAT, PFLOAT )
#define PGQCR( liCI, prCR, prCG, prCB ) CCALLSFSUB4( \
    pgqcr, pgqcr, LONG, PFLOAT, PFLOAT, PFLOAT, liCI, prCR, prCG, prCB )

PROTOCCALLSFSUB3( pgqcs, pgqcs, LONG, PFLOAT, PFLOAT )
#define PGQCS( liUnits, prXCh, prYCh ) CCALLSFSUB3( \
    pgqcs, pgqcs, LONG, PFLOAT, PFLOAT, liUnits, prXCh, prYCh )

PROTOCCALLSFSUB1( pgqfs, pgqfs, PLONG )
#define PGQFS( pliFS ) CCALLSFSUB1( pgqfs, pgqfs, PLONG, pliFS )

PROTOCCALLSFSUB3( pgqhs, pgqhs, PFLOAT, PFLOAT, PFLOAT )
#define PGQHS( rAngle, rSEPN, rPhase ) \
    CCALLSFSUB3( pgqhs, pgqhs, PFLOAT, PFLOAT, PFLOAT, rAngle, rSEPN, rPhase )

PROTOCCALLSFSUB1( pgqid, pgqid, PLONG )
#define PGQID( liID ) CCALLSFSUB1( pgqid, pgqid, PLONG, liID )

PROTOCCALLSFSUB3( pgqinf, pgqinf, STRING, PSTRING, PLONG )
#define PGQINF( sType, psResult, pliLen ) CCALLSFSUB3( \
    pgqinf, pgqinf, STRING, PSTRING, PLONG, sType, psResult, pliLen )

PROTOCCALLSFSUB1( pgqitf, pgqitf, PLONG )
#define PGQITF( pliITF ) CCALLSFSUB1( pgqitf, pgqitf, PLONG, pliITF )

PROTOCCALLSFSUB1( pgqls, pgqls, PLONG )
#define PGQLS( pliLS ) CCALLSFSUB1( pgqls, pgqls, PLONG, pliLS )

PROTOCCALLSFSUB1( pgqlw, pgqlw, PLONG )
#define PGQLW( pliLW ) CCALLSFSUB1( pgqlw, pgqlw, PLONG, pliLW )

PROTOCCALLSFSUB2( pgqpos, pgqpos, PFLOAT, PFLOAT )
#define PGQPOS( prX, prY ) CCALLSFSUB2( \
    pgqpos, pgqpos, PFLOAT, PFLOAT, prX, prY )

PROTOCCALLSFSUB1( pgqtbg, pgqtbg, PLONG )
#define PGQTBG( pliTBG ) CCALLSFSUB1( pgqtbg, pgqtbg, PLONG, pliTBG )

PROTOCCALLSFSUB7( pgqtxt, pgqtxt, FLOAT, FLOAT, FLOAT, FLOAT, STRING, FLOATV, \
    FLOATV )
#define PGQTXT( rX, rY, rAngle, rJust, sText, arXBox, arYBox ) CCALLSFSUB7( \
    pgqtxt, pgqtxt, FLOAT, FLOAT, FLOAT, FLOAT, STRING, FLOATV, FLOATV, rX, \
    rY, rAngle, rJust, sText, arXBox, arYBox )

PROTOCCALLSFSUB5( pgqvp, pgqvp, LONG, PFLOAT, PFLOAT, PFLOAT, PFLOAT )
#define PGQVP( liUnit, prX1, prX2, prY1, prY2 ) CCALLSFSUB5( \
    pgqvp, pgqvp, LONG, PFLOAT, PFLOAT, PFLOAT, PFLOAT, liUnit, prX1, prX2, \
    prY1, prY2 )

PROTOCCALLSFSUB5( pgqvsz, pgqvsz, LONG, PFLOAT, PFLOAT, PFLOAT, PFLOAT )
#define PGQVSZ( liUnit, prX1, prX2, prY1, prY2 ) CCALLSFSUB5( \
    pgqvsz, pgqvsz, LONG, PFLOAT, PFLOAT, PFLOAT, PFLOAT, liUnit, prX1, prX2, \
    prY1, prY2 )

PROTOCCALLSFSUB4( pgqwin, pgqwin, PFLOAT, PFLOAT, PFLOAT, PFLOAT )
#define PGQWIN( prX1, prX2, prY1, prY2 ) CCALLSFSUB4( \
    pgqwin, pgqwin, PFLOAT, PFLOAT, PFLOAT, PFLOAT, prX1, prX2, prY1, prY2 )

PROTOCCALLSFSUB4( pgrect, pgrect, FLOAT, FLOAT, FLOAT, FLOAT )
#define PGRECT( rX1, rX2, rY1, rY2 ) CCALLSFSUB4( \
    pgrect, pgrect, FLOAT, FLOAT, FLOAT, FLOAT, rX1, rX2, rY1, rY2 )

PROTOCCALLSFFUN2( FLOAT, pgrnd, pgrnd, FLOAT, PLONG )
#define PGRND( rX, pliNSub ) CCALLSFFUN2( pgrnd, pgrnd, FLOAT, PLONG, rX, \
    pliNSub )

PROTOCCALLSFSUB4( pgrnge, pgrnge, FLOAT, FLOAT, PFLOAT, PFLOAT )
#define PGRNGE( rLow, rHigh, prLowBest, prHighBest ) CCALLSFSUB4( \
    pgrnge, pgrnge, FLOAT, FLOAT, PFLOAT, PFLOAT, rLow, rHigh, prLowBest, \
    prHighBest )

PROTOCCALLSFSUB3( pgsah, pgsah, LONG, FLOAT, FLOAT )
#define PGSAH( liFS, rAngle, rVent ) CCALLSFSUB3( \
    pgsah, pgsah, LONG, FLOAT, FLOAT, liFS, rAngle, rVent )

PROTOCCALLSFSUB0( pgsave, pgsave )
#define PGSAVE( ) CCALLSFSUB0( pgsave, pgsave )

PROTOCCALLSFSUB1( pgscf, pgscf, LONG )
#define PGSCF( liFont ) CCALLSFSUB1( pgscf, pgscf, LONG, liFont )

PROTOCCALLSFSUB1( pgsch, pgsch, FLOAT )
#define PGSCH( rHeight ) CCALLSFSUB1( pgsch, pgsch, FLOAT, rHeight )

PROTOCCALLSFSUB1( pgsci, pgsci, LONG )
#define PGSCI( liCI ) CCALLSFSUB1( pgsci, pgsci, LONG, liCI )

PROTOCCALLSFSUB2( pgscir, pgscir, LONG, LONG )
#define PGSCIR( liCILow, liCIHigh ) CCALLSFSUB2( \
    pgscir, pgscir, LONG, LONG, liCILow, liCIHigh )

PROTOCCALLSFSUB4( pgscr, pgscr, LONG, FLOAT, FLOAT, FLOAT )
#define PGSCR( liCI, rCR, rCG, rCB ) CCALLSFSUB4( \
    pgscr, pgscr, LONG, FLOAT, FLOAT, FLOAT, liCI, rCR, rCG, rCB )

PROTOCCALLSFSUB3( pgscrn, pgscrn, LONG, STRING, PLONG )
#define PGSCRN( liCI, sName, pliError ) CCALLSFSUB3( \
    pgscrn, pgscrn, LONG, STRING, PLONG, liCI, sName, pliError )

PROTOCCALLSFSUB1( pgsfs, pgsfs, LONG )
#define PGSFS( liFS ) CCALLSFSUB1( pgsfs, pgsfs, LONG, liFS )

PROTOCCALLSFSUB4( pgshls, pgshls, LONG, FLOAT, FLOAT, FLOAT )
#define PGSHLS( liCI, rCH, rCL, rCS ) CCALLSFSUB4( \
    pgshls, pgshls, LONG, FLOAT, FLOAT, FLOAT, liCI, rCH, rCL, rCS )

PROTOCCALLSFSUB3( pgshs, pgshs, FLOAT, FLOAT, FLOAT )
#define PGSHS( rAngle, rSEPN, rPhase ) \
    CCALLSFSUB3( pgshs, pgshs, FLOAT, FLOAT, FLOAT, rAngle, rSEPN, rPhase )

PROTOCCALLSFSUB1( pgsitf, pgsitf, LONG )
#define PGSITF( liITF ) CCALLSFSUB1( pgsitf, pgsitf, LONG, liITF )

PROTOCCALLSFSUB1( pgslct, pgslct, LONG )
#define PGSLCT( liID ) CCALLSFSUB1( pgslct, pgslct, LONG, liID )

PROTOCCALLSFSUB1( pgsls, pgsls, LONG )
#define PGSLS( liLS ) CCALLSFSUB1( pgsls, pgsls, LONG, liLS )

PROTOCCALLSFSUB1( pgslw, pgslw, LONG )
#define PGSLW( liLW ) CCALLSFSUB1( pgslw, pgslw, LONG, liLW )

PROTOCCALLSFSUB1( pgstbg, pgstbg, LONG )
#define PGSTBG( liTBG ) CCALLSFSUB1( pgstbg, pgstbg, LONG, liTBG )

PROTOCCALLSFSUB2( pgsubp, pgsubp, LONG, LONG )
#define PGSUBP( liNXSub, liNYSub ) CCALLSFSUB2( \
    pgsubp, pgsubp, LONG, LONG, liNXSub, liNYSub )

PROTOCCALLSFSUB4( pgsvp, pgsvp, FLOAT, FLOAT, FLOAT, FLOAT )
#define PGSVP( rX1, rX2, rY1, rY2 ) CCALLSFSUB4( \
    pgsvp, pgsvp, FLOAT, FLOAT, FLOAT, FLOAT, rX1, rX2, rY1, rY2 )

PROTOCCALLSFSUB4( pgswin, pgswin, FLOAT, FLOAT, FLOAT, FLOAT )
#define PGSWIN( rX1, rX2, rY1, rY2 ) CCALLSFSUB4( \
    pgswin, pgswin, FLOAT, FLOAT, FLOAT, FLOAT, rX1, rX2, rY1, rY2 )

PROTOCCALLSFSUB6( pgtbox, pgtbox, STRING, FLOAT, LONG, STRING, FLOAT, LONG )
#define PGTBOX( sXOpt, rXTick, liNXSub, sYOpt, rYTick, liNYSub ) CCALLSFSUB6( \
    pgtbox, pgtbox, STRING, FLOAT, LONG, STRING, FLOAT, LONG, sXOpt, rXTick, \
    liNXSub, sYOpt, rYTick, liNYSub )

PROTOCCALLSFSUB3( pgtext, pgtext, FLOAT, FLOAT, STRING )
#define PGTEXT( rX, rY, sText ) CCALLSFSUB3( \
    pgtext, pgtext, FLOAT, FLOAT, STRING, rX, rY, sText )

PROTOCCALLSFSUB0( pgunsa, pgunsa )
#define PGUNSA( ) CCALLSFSUB0( pgunsa, pgunsa )

PROTOCCALLSFSUB0( pgupdt, pgupdt )
#define PGUPDT( ) CCALLSFSUB0( pgupdt, pgupdt )

PROTOCCALLSFSUB4( pgvsiz, pgvsiz, FLOAT, FLOAT, FLOAT, FLOAT )
#define PGVSIZ( rXLeft, rXRight, rYLeft, rYRight ) CCALLSFSUB4( \
    pgvsiz, pgvsiz, FLOAT, FLOAT, FLOAT, FLOAT, rXLeft, rXRight, rYLeft, \
    rYRight )

PROTOCCALLSFSUB0( pgvstd, pgvstd )
#define PGVSTD( ) CCALLSFSUB0( pgvstd, pgvstd )

PROTOCCALLSFSUB4( pgwnad, pgwnad, FLOAT, FLOAT, FLOAT, FLOAT )
#define PGWNAD( rXAxisLow, rXAxisHigh, rYAxisLow, rYAxisHigh ) CCALLSFSUB4( \
    pgwnad, pgwnad, FLOAT, FLOAT, FLOAT, FLOAT, rXAxisLow, rXAxisHigh, \
    rYAxisLow, rYAxisHigh )

#endif

