
# ---------------------------------------------------------------------------- #

# ptcl.tcl

# USNO/NRL Optical Interferometer
# United States Naval Observatory
# 3450 Massachusetts Avenue, NW
# Washington, DC  20392-5420

# Subsystem:
# ----------
# ptcl

# Description:
# ------------
# This file contains the ptcl start-up script.

# tcl procedures/[incr tcl] classes:
# ---------------
# None.

# Modification history:
# ---------------------
# 1995 Nov 16 - Nicholas Elias, USNO/AD5
#               File created.
# 1996 Nov 21 - Nicholas Elias, USNO/AD5
#               File examples.tcl sourced.

# ---------------------------------------------------------------------------- #

# Set the title bar of the root window #

if [info exists tk_version] {
  wm title . ptcl
}


# Set the ptcl prompt #

set tcl_prompt1 {puts -nonewline "ptcl([history nextid])% "}


# Source the desired tcl/tk/[incr tcl] scripts here #

source $env(ptcl)/rcol.tcl; # Procedure to read column-wise data
source $env(ptcl)/examples.tcl; # Procedures for examples in ptcl manual

#wm withdraw .
